org.apache.tinkerpop.gremlin.groovy.jsr223

## Class GremlinGroovyScriptEngineSandboxCustomTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.groovy.jsr223.GremlinGroovyScriptEngineSandboxCustomTest

-     public class GremlinGroovyScriptEngineSandboxCustomTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinGroovyScriptEngineSandboxCustomTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldEvalAsVariableRequirementsAreInRangeOfSandbox()`
    `void` | `shouldEvalGraphVariableAsSomethingOtherThanGraph()`
    `void` | `shouldEvalGVariableAsSomethingOtherThanGraphTraversalSource()`
    `void` | `shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptGraphInstances()`
    `void` | `shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptShortVarNames()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinGroovyScriptEngineSandboxCustomTest

          public GremlinGroovyScriptEngineSandboxCustomTest()

  - ### Method Detail

    - #### shouldEvalGVariableAsSomethingOtherThanGraphTraversalSource

          public void shouldEvalGVariableAsSomethingOtherThanGraphTraversalSource()
                                                                           throws Exception

      Throws:
        `Exception`

    - #### shouldEvalGraphVariableAsSomethingOtherThanGraph

          public void shouldEvalGraphVariableAsSomethingOtherThanGraph()
                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptGraphInstances

          public void shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptGraphInstances()
                                                                                throws Exception

      Throws:
        `Exception`

    - #### shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptShortVarNames

          public void shouldNotEvalBecauseSandboxIsConfiguredToNotAcceptShortVarNames()
                                                                               throws Exception

      Throws:
        `Exception`

    - #### shouldEvalAsVariableRequirementsAreInRangeOfSandbox

          public void shouldEvalAsVariableRequirementsAreInRangeOfSandbox()
                                                                   throws Exception

      Throws:
        `Exception`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.